---
layout: default1
description: Tools to use for your benefit
title: Tools
permalink: /tools
---

<div style="text-align:center;">
<p><i>“If you stay here, you become lost. And no one can find you."</i></p>
</div>

<br>
<br>

### Getting Started

_Disclaimer: This is for education / research._

##### Table of contents:

\>> [Authentication](#authentication) <br>
\>> [Books](#books) <br>
\>> [Browser](#browser) <br>
\>> [Crypto](#crypto) <br>
\>> [Developer Tools](#developer-tools) <br>
\>> [Domain Registrar](#domain-registrar) <br>
\>> [Encryption](#encryption) <br>
\>> [File Sharing](#file-sharing) <br>
\>> [Frontends & Social Media](#frontends--social-media) <br>
\>> [Email Providers](#email-providers) <br>
\>> [Messengers](#messengers) <br>
\>> [Operating System](#operating-system) <br>
\>> [Password Managers](#password-managers) <br>
\>> [Search Engine](#search-engine) <br>
\>> [Upcoming](#upcoming) <br>
<br>

#### __Authentication__

Multi-factor authentication is extremely important as it provides multiple layers to your account even if your password is compromised.

- [Aegis](https://github.com/beemdevelopment/Aegis) (Mobile)
- [andOTP](https://github.com/andOTP/andOTP) (Mobile)
- [NitroKey](https://www.nitrokey.com/) (Hardware)
- [YubiKey](https://www.yubico.com/) (Hardware)

<br>

#### __Books__

- [*Extreme Privacy: What It Takes to Disappear* by Michael Bazzell](https://www.amazon.com/dp/B09W78GW2T)
- [*How to Disappear: Erase Your Digital Footprint, Leave False Trails, and Vanish without a Trace* by Frank M. Ahearn & Eileen C. Horan](https://www.amazon.com/How-Disappear-Digital-Footprint-Without/dp/1599219778/)

<br>

#### __Browser__

Your browser contains everything you do. It is the main entry point onto your system, along with the main privacy & security risk.

- [Tor Browser](https://torproject.org) <button type="button" class="btn btn-xs btn-info"><a href="http://2gzyxa5ihm7nsggfxnu52rck2vv4rvmdlkiu3zzui5du4xyclen53wid.onion/">Tor</a></button>
- [Librewolf](https://librewolf.net/)
- [Vanadium](https://vanadium.app) (Mobile)
- [Bromite](https://bromite.org) (Mobile)

<br>

##### Browser Extensions

Extensions help increase privacy, at the cost of anonymity. None of these should be installed on Tor Browser.

- [ClearURL](https://github.com/ClearURLs/Addon)
- [UBlock Origin](https://github.com/gorhill/uBlock)
- [NoScript](https://github.com/hackademix/noscript)
- [LocalCDN](https://codeberg.org/nobody/LocalCDN)
- [CanvasBlocker](https://github.com/kkapsner/CanvasBlocker)
- [Libredirect](https://github.com/libredirect/libredirect)

<br>

#### __Crypto__

<br>

#### Currencies

- [Monero](https://getmonero.org) <button type="button" class="btn btn-xs btn-info"><a href="http://monerotoruzizulg5ttgat2emf4d6fbmiea25detrmmy7erypseyteyd.onion/">Tor</a></button>
- [ZCash](https://z.cash)

<br>

#### Wallets

- [Exodus](https://exodus.com)

<br>

#### __Developer Tools__  

- [Codeberg](https://codeberg.org)
- [hCaptcha](https://hcaptcha.com)
- [Supabase](https://supabase.io)
- [VSCodium](https://vscodium.com)

<br>

#### __Domain Registrar__

Registering a domain anonymously is very important, especially considering they can reveal a lot about you in a ``whois`` search if you haven't paid for "whois protection". These services will protect you.

- [Njalla](https://njal.la) <button type="button" class="btn btn-xs btn-info"><a href="http://njallalafimoej5i4eg7vlnqjvmb6zhdh27qxcatdn647jtwwwui3nad.onion/">Tor</a></button>
- [1984](https://1984hosting.com)

<br>

#### __Encryption__

Your files should *always* be encrypted. Even if your devices are compromised, your files should be safe assuming you've set things up properly.

- [VeraCrypt](https://veracrypt.fr)
- [Photok](https://github.com/leonlatsch/Photok) (Mobile)

<br>

#### __File Sharing__

Sharing files can often times be difficult task. These are some applications that can securely share files.

- [OnionShare](https://onionshare.org) <button type="button" class="btn btn-xs btn-info"><a href="http://lldan5gahapx5k7iafb3s4ikijc4ni7gx5iywdflkba5y2ezyg6sjgyd.onion/">Tor</a></button>
- [Syncthing](https://syncthing.net)

<br>

#### __Frontends & Social Media__

Frontends act as a proxy between you and the service without tracking or revealing your IP address to said service.

<br>

#### Redirect

- [LibRedirect](https://github.com/libredirect/libredirect)
- [UntrackMe](https://framagit.org/tom79/nitterizeme) (Mobile)

<br>

#### Frontends

Medium - [Scribe](https://sr.ht/~edwardloveall/scribe/) <br>
Reddit - [Libreddit](https://libredd.it) <br>
Twitter - [Nitter](https://github.com/zedeus/nitter) <br>
Wikipedia - [Wikiless](https://codeberg.org/orenom/Wikiless) <br>
YouTube - [Invidious](https://invidious.io) <br>

<br>

#### Alternatives

Reddit - [Aether](https://getaether.net) <br>
Twitter - [Mastadon](https://joinmastadon.org) <br>
YouTube - [Peertube](https://joinpeertube.org) <br>
YouTube - [Odysee](https://odysee.com) <br>

<br>

#### Clients

Reddit - [Slide](https://github.com/ccrama/Slide) (Mobile) <br>
YouTube -[NewPipe](https://netpipe.net) (Mobile) <br>

<br>

#### __Email Providers__

Email is a nessecary evil that is required in this world. Email is inherently insecure, which means your email provider can read any of your messages. These providers offer encryption, anonymity and security. 

- [Proton](https://proton.me) <button type="button" class="btn btn-xs btn-info"><a href="https://protonmailrmez3lotccipshtkleegetolb73fuirgj7r4o4vfu7ozyd.onion">Tor</a></button>
- [Mailfence](https://mailfence.com)

#### Aliases

This provides multiple aliases for your emails, so you do not have to reveal your true email address. This is extremely useful especially if you are worried about your email being leaked.

- [SimpleLogin](https://simplelogin.io/)
- [AnonAddy](https://anonaddy.com/)

<br>

#### __Messengers__

Your messages must be secure as they reveal a lot about you. Choosing an encrypted messenger will prevent any unauthorized users from reading any of your messages.

<br>

##### Decentralized

- [Matrix](https://matrix.org)
- [XMPP](https://xmpp.org)
- [Session](https://getsession.org)

<br>

##### Centralized

- [Signal](https://signal.org)
  - [Molly](https://github.com/mollyim/mollyim-android) (Mobile)

<br>

##### P2P

- [Briar](https://briarproject.org) (Mobile)

<br>

#### __Operating System__

Your operating system is the most important part, if it is insecure then you can assume any activities done are also compromised.

- [Tails](https://tails.boum.org)
- [Whonix](https://whonixproject.org) <button type="button" class="btn btn-xs btn-info"><a href="http://www.dds6qkxpwdeubwucdiaord2xgbbeyds25rbsgr73tbfpqpt4a6vjwsyd.onion/">Tor</a></button>
- [QubesOS](https://qubes-os.org) <button type="button" class="btn btn-xs btn-info"><a href="http://qubesosfasa4zl44o4tws22di6kepyzfeqv3tg4e3ztknltfxqrymdad.onion/">Tor</a></button>
- [GrapheneOS](https://grapheneos.org) (Mobile)

<br>

#### __Password Managers__

Password managers are a great way to both securely and remember all of your passwords. Your passwords are saved in an encrypted database, which you only need to remember 1 password while generating secure passwords for all of your accounts.

- [KeePassXC](https://keepassxc.org)

<br>

#### __Search Engine__

Your search engine knows a lot about you. This information is often times sold to 3rd parties and given away to government agencies. They often show biased search results. Choose a better one here.

- [DuckDuckGo](https://duckduckgo.com) <button type="button" class="btn btn-xs btn-info"><a href="https://duckduckgogg42xjoc72x3sjasowoarfbgcmvfimaftt6twagswzczad.onion/">Tor</a></button>  <button type="button" class="btn btn-xs btn-warning"><a href="https://help.duckduckgo.com/duckduckgo-help-pages/community/open-source/">Partially Closed-Source</a></button>
- [SearX](https://searx.me)
- [Brave Search](https://search.brave.com)

<br>

#### __Upcoming__

The following are currently being researched:

- [Whoami](https://github.com/owerdogan/whoami-project)
- [CWTCH](https://cwtch.im/)